/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <stdio.h>
#include <zephyr/kernel.h>
#include <soc.h>
#include <zephyr/drivers/counter.h>
#include <zephyr/logging/log.h>

#include <zephyr/bluetooth/bluetooth.h>
#include <zephyr/bluetooth/uuid.h>
#include <zephyr/bluetooth/gatt.h>
#include <zephyr/bluetooth/hci.h>

#include <bluetooth/services/nus.h>

#define LOG_MODULE_NAME main
LOG_MODULE_REGISTER(LOG_MODULE_NAME);

static const struct device *const my_rtc = DEVICE_DT_GET(DT_NODELABEL(rtc0));

int main(void)
{
    int rslt;
    uint32_t measured_ticks = 0;
    uint32_t previous_ticks;
    uint32_t my_counter = 0;

    const struct device *dev = my_rtc;
	LOG_INF("Hello World! %s", CONFIG_BOARD);

    rslt = counter_start(dev);
    LOG_INF("counter_start %d", rslt);
    while(true) {
        k_sleep(K_MSEC(1000));
        previous_ticks = measured_ticks;
        rslt = counter_get_value(dev, &measured_ticks);
        LOG_INF("counter_get %04d (time: %03d) Diff: %05d", measured_ticks, ++my_counter, measured_ticks-previous_ticks);
    }

	return 0;
}
